#pragma once

#include <stdint.h>
#include <stdbool.h>

void ata_init(void);
void ata_identify(void);

// Read `sector_count` 512-byte sectors starting at LBA `lba` into `buffer`.
// Buffer must be large enough (sector_count * 512).
bool ata_read_sectors(uint64_t lba, uint8_t sector_count, void* buffer);

bool ata_write_sectors(uint64_t lba, uint8_t sector_count, const void* buffer);